StatisticsType (Apache Geode 1.15.4)

org.apache.geode

## Interface StatisticsType

-     @Immutable
      public interface StatisticsType

  Used to describe a logical collection of statistics. These descriptions are used to create an instance of `Statistics`.

  To get an instance of this interface use an instance of `StatisticsFactory`.

  Since:
    GemFire 3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Returns a description of this statistics type
    `String` | `getName()` Returns the name of this statistics type
    `StatisticDescriptor[]` | `getStatistics()` Returns descriptions of the statistics that this statistics type gathers together
    `StatisticDescriptor` | `nameToDescriptor(String name)` Returns the descriptor of the statistic with the given name in this statistics instance.
    `int` | `nameToId(String name)` Returns the id of the statistic with the given name in this statistics instance.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of this statistics type
      Returns:
        the name of this statistics type

    - #### getDescription

          String getDescription()

      Returns a description of this statistics type
      Returns:
        a description of this statistics type

    - #### getStatistics

          StatisticDescriptor[] getStatistics()

      Returns descriptions of the statistics that this statistics type gathers together
      Returns:
        an array of descriptions of the statistics that this statistics type gathers together

    - #### nameToId

          int nameToId(String name)

      Returns the id of the statistic with the given name in this statistics instance.
      Parameters:
        `name` - the name of a statistic
      Returns:
        the id of the statistic with the given name in this statistics instance
      Throws:
        `IllegalArgumentException` - No statistic named `name` exists in this statistics instance.

    - #### nameToDescriptor

          StatisticDescriptor nameToDescriptor(String name)

      Returns the descriptor of the statistic with the given name in this statistics instance.
      Parameters:
        `name` - the name of a statistic
      Returns:
        the descriptor of the statistic with the given name in this statistics instance
      Throws:
        `IllegalArgumentException` - No statistic named `name` exists in this statistics instance.